Архив за день: 02.08.2020



Thunderbird: Ошибка в чате Peer using unsupported version of security protocol

При попытке подключиться к чату сайта Одноклассники через Thunderbird 78.1.0, получаю ошибку:

SSL_ERROR_UNSUPPORTED_VERSION
Peer using unsupported version of security protocol

 


Вообще я давно не использовал чат (через Thunderbird его использовал только для теста), но решил выяснить, почему возникает такая ошибка.

Произошло это давно, но в стабильных версиях почтового клиента появилось только в версии 71.

Таким образом я не мог подключиться к чату из-за устаревшей версии протокола TSL, который использует сервер Одноклассники.
Сегодня я просто хотел посмотреть, как будет работать скин/тема для чата. Я убедился, что он в новой версии Thunderbird не работает как нужно (фон не поменялся), поэтому оставлю как есть. Нет времени ковырять её сейчас. Может потом, если потребуется.

Для тех, кому срочно нужно, чтобы чат заработал, можно вернуть протоколы:
1. Открываем скрытые настройки:
ToolsOptionsConfig Editor (в самом низу страницы)
2. Выставляем новые значения:

security.tls.version.min = 2
security.tls.version.max = 2
security.tls.version.enable-deprecated = true

Возможно какой-то параметр лишний — я не хочу выяснять, но с этими значениями чат работает.